NetBeans 6.9 and OSGi

Netbeans 6.9 integrates the OSGi interoperability. In fact, you can create OSGi bundles to use in Java applications.

It also enables you to build OSGi bundles from a Maven archetype and then access the bundles from applications that are running in an OSGi container.

  • Develop OSGi bundles with Maven
  • Bundled Felix container
  • Use OSGi bundles in a NetBeans RCP application

Likewise, NetBeans 6.9 offers the support for JavaFX 1.3.1, Spring Framework 3.0 library, PHP Zend Framework, …

You can download the 6.9.1 version it here. And here are the feature Higlights.

Advertisements